%define ver_major 0.10

Name: gstreamer
Version: %ver_major.21
Release: alt0.M41.1

Summary: GStreamer streaming media framework runtime
License: LGPL
Group: System/Libraries
URL: http://gstreamer.freedesktop.org

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: lib%name = %version-%release
Provides: %name%ver_major = %version
Obsoletes: %name%ver_major

Source: http://gstreamer.freedesktop.org/src/%name/%name-%version.tar.bz2

# Automatically added by buildreq on Thu Feb 07 2008
BuildRequires: docbook-utils flex gcc-c++ ghostscript-utils glib2-devel gtk-doc libcheck-devel libxml2-devel
BuildRequires: python-modules sgml-common transfig xml-utils

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

%package -n lib%name
Summary: Shared libraries of GStreamer
Group: System/Libraries
Provides: lib%name%ver_major = %version
Obsoletes: lib%name%ver_major

%description -n lib%name
This package contains the shared libraries of the GStreamer media framework.

%package devel
Summary: Development files for GStreamer streaming-media framework
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name%ver_major-devel = %version
Obsoletes: %name%ver_major-devel

%description devel
This package contains the libraries and header files necessary to
develop applications and plugins for GStreamer.

To make work with GStreamer documentation more comfortable install
%name-devel-doc package.

%package devel-doc
Summary: Development documentation for GStreamer
Group: Development/C
Obsoletes: %name%ver_major-doc
Conflicts: gstreamer < 0.8.8-alt1

%description devel-doc
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related. Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains development documentation for GStreamer.

%package doc
Summary: Documentation for GStreamer
Group: Documentation

%description doc
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related. Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains documentation for GStreamer.

%package utils
Summary: GStreamer utilities
Group: System/Libraries
Requires: lib%name = %version-%release
Provides: %name%ver_major-utils = %version
Obsoletes: %name%ver_major-utils

%description utils
This package contains some utilities used to register, analyze, and run
Gstreamer plugins.

%prep
%setup -q

%build
export AUTOPOINT=true
%autoreconf
%configure \
	--disable-examples \
	--disable-valgrind \
	--enable-docbook \
	--disable-rpath \
	--disable-tests \
	--disable-debug \
	--disable-gst-debug \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name-%ver_major

%post -n lib%name -p %post_ldconfig

%postun -n lib%name -p %postun_ldconfig

%files -f %name-%ver_major.lang
%doc AUTHORS NEWS README RELEASE
%dir %_libdir/%name-%ver_major
%_libdir/%name-%ver_major/*.so

%files  -n lib%name
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*
%_datadir/aclocal/*

%files devel-doc
%_datadir/gtk-doc/html/*

%files utils
%_bindir/*
%_man1dir/*

%files doc
%_datadir/doc/%name-%ver_major

%changelog
* Tue Nov 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.21-alt0.M41.1
- build for branch 4.1

* Fri Oct 03 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.21-alt1
- 0.10.21

* Wed Jun 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.20-alt1
- 0.10.20

* Thu May 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.19-alt2
- disable gst-debug

* Thu Apr 03 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.19-alt1
- 0.10.19

* Sat Mar 23 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.18-alt1
- 0.10.18

* Thu Feb 07 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.17-alt1
- 0.10.17
- spec cleanup
- update build dependencies

* Fri Jan 25 2008 Igor Zubkov <icesik@altlinux.org> 0.10.14-alt2
- merge changes from inger@

* Fri Dec 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.10.14-alt1.M40.1
- remove cm-fonts-super-pfb from buildreqs

* Mon Sep 10 2007 Igor Zubkov <icesik@altlinux.org> 0.10.14-alt1
- 0.10.13 -> 0.10.14

* Tue Jun 19 2007 Igor Zubkov <icesik@altlinux.org> 0.10.13-alt2
- fix build requires

* Tue Jun 19 2007 Igor Zubkov <icesik@altlinux.org> 0.10.13-alt1
- 0.11.12 -> 0.11.13
- remove set_verify_elf_method textrel=relaxed
- buildreq and update build requires

* Tue Mar 13 2007 Igor Zubkov <icesik@altlinux.org> 0.10.12-alt1
- 0.10.11 -> 0.11.12

* Wed Feb 21 2007 Igor Zubkov <icesik@altlinux.org> 0.10.11-alt2
- add check to build requires

* Thu Dec 21 2006 Igor Zubkov <icesik@altlinux.org> 0.10.11-alt1
- 0.10.10 -> 0.10.11

* Fri Dec 01 2006 Igor Zubkov <icesik@altlinux.org> 0.10.10-alt1
- 0.10.9 -> 0.10.10 

* Wed Aug 23 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.9-alt1
- Release 0.10.9
- Dropped 0.10 from package names

* Fri Jun 16 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.8-alt2
- x86_64 fix: exclude the documentation not installed for some murky reason

* Mon Jun 12 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.8-alt1
- Updated to 0.10.8

* Fri Jun 02 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.6-alt2
- Require check built with -fPIC

* Sun May 28 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.6-alt1
- Updated to 0.10.6
- Retired Patch0

* Sun Mar 12 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.4-alt1
- Release 0.10.4
- Added a buildreq ignore pattern to avoid getting all installed plugins

* Sat Feb 11 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.3-alt1
- 0.10.3

* Wed Jan 18 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.2-alt1
- 0.10.2

* Wed Dec 28 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.1-alt1
- 0.10.1

* Sat Dec 10 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.0-alt1
- Updated to 0.10.0
- Renamed to gstreamer0.10 to install in parallel to gstreamer 0.8
  for the time being
- Removed rpm macros and install scripts as the utilities they use are gone
- Retired the cache directory

* Fri Nov 25 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.6-alt1
- Updated to 0.9.6 (unstable)

* Mon Sep 05 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.11-alt1
- 0.8.11
- Removed obsolete libmmx conditional
- Disabled valgrind

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.10-alt1
- 0.8.10

* Wed Feb 09 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.9-alt1
- 0.8.9

* Fri Jan 21 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.8-alt1.1
- fixed rpm macros.

* Thu Dec 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.8-alt1
- 0.8.8
- documentation moved to devel-doc subpackage.

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.7-alt1
- 0.8.7

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.5-alt1
- 0.8.5

* Mon Jun 07 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.3-alt1
- 0.8.3

* Fri Apr 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt1
- 0.8.1

* Fri Apr 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1
- 0.8.0

* Sun Feb 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.5-alt1
- 0.7.5

* Sat Jan 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.3-alt2.1
- fix %%post and macros.

* Sun Jan 18 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.3-alt2
- Fix incorrect dependencies causing a rebuild on make install [Patch0]
- Don't build PDF and PS documentation, this process is brittle,
  pulls in a ton of dependencies, and produces only extra copies
  in addition to HTML [Patch1]
- Corrected doc installation, include manuals, faq and examples
- Buildreq
- aris:
    + removed unusual devhelp stuff

* Sat Dec 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.3-alt1
- 0.7.3

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.4-alt2
- do not package .la files.
- do not build devel-static subpackage by default.

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.4-alt1
- 0.6.4

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.3-alt1
- 0.6.3

* Sat Jun 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.2-alt1
- 0.6.2

* Sun Apr 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt1
- 0.6.1

* Sun Feb 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Wed Jan 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.2-alt1
- new version.

* Mon Jan 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1.2
- fixed dependece for devel-static subpackage.

* Thu Jan 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1.1
- removed cycle dependence.

* Wed Jan 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1
- new version.
- utils subpackage to fix %%postun processes for gstreamer-plugins.

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt1
- 0.5.0

* Fri Nov 08 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt0.6
- Fixed build (SMP-incompatible build)
- %%post improved.
- Added %%gst_compprep macro.

* Sat Nov 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt0.5
- 0.4.2

* Wed Apr 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.4-alt0.1
- First build for Sisyphus.
